<%@ page contentType="text/html;charset=UTF-8" %>
<%@ page import="java.sql.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.*" %>
<%@ page import="net.sz600.formEngine2.*" %>

<%
    int iFormID = SzConvert.toInt(request.getParameter("FormID"));
    String sKEY  = SzConvert.toZeroStr(request.getParameter("KEY"));	//主表单信息ID
    SzDataReader dataReader = null;
    String sTable = "";
    String sField = "";
    String sCond = "";
    String sValue = "";
    ResultSet rs = null;
    SzDataWriter dataWriter = null;

	
    try {
	  if (iFormID==1348 && !sKEY.equals("0")) {

            //调休假办结，把加班的设置为已经休假。
            BdOtherControl otherControl = new BdOtherControl();
            int iJiabanFormID = 1347;
            int iTiaoxiuFormID = iFormID;
            int iTiaoxiuKey = SzConvert.toInt(sKEY); 
	    otherControl.tiaoxiuFinish(iJiabanFormID, iTiaoxiuFormID, iTiaoxiuKey);
	  } 
    }catch(Exception e) {
    	System.out.println(e);
    }
%>
